Bug 1121499 - CVE-2014-5009 CVE-2014-5008 CVE-2008-7313 nagios: snoopy: incomplete fixes for command execution flaws [fedora-all] [NEEDINFO]
Summary: CVE-2014-5009 CVE-2014-5008 CVE-2008-7313 nagios: snoopy: incomplete fixes fo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nagios
Version: 23
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Scott Wilkerson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: fst_ping=3, fst_owner=dcafaro
Depends On:
Blocks: CVE-2008-7313, CVE-2014-5008, CVE-2014-5009
TreeView+ depends on / blocked
 
Reported: 2014-07-21 06:12 UTC by Murray McAllister
Modified: 2017-07-23 02:22 UTC (History)
9 users (show)

Fixed In Version: nagios-4.0.8-1.el7 nagios-4.3.2-5.el6
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-23 02:22:33 UTC
pj.pandit: needinfo? (affix)
sparks: needinfo? (affix)
dac: needinfo? (affix)
dac: needinfo? (affix)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github a2o snoopy issues 74 None None None Never

Description Murray McAllister 2014-07-21 06:12:59 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, use the bodhi submission link noted
in the next comment(s).  This will include the bug IDs of this tracking
bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Murray McAllister 2014-07-21 06:13:12 UTC
Use the following update submission link to create the Bodhi request for
this issue as it contains the top-level parent bug(s) as well as this
tracking bug.  This will ensure that all associated bugs get updated when
new packages are pushed to stable.

IMPORTANT: ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1121497,1121499

Comment 2 pjp 2014-12-03 18:29:20 UTC
Hello fedora,

Could you please fix this soon?

Comment 4 pjp 2015-04-09 17:33:15 UTC
Hello fedora@affix.me,

You plan to fix this soon?

Comment 5 Eric Christensen 2015-04-29 23:34:27 UTC
Can you update this package?

Comment 6 Fedora End Of Life 2015-05-29 12:25:31 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 David A. Cafaro 2015-06-16 13:08:35 UTC
This package will need to go to the non-responsive maintainer process if we do not get a status update/patch soon.

Comment 8 mail@romal.de 2015-06-16 18:26:54 UTC
Hi,

I'm one of the comaintainers of nagios-related stuff, as I did the upgrade from 2.x to 3.x some years ago.

So if anybody need's some ACL, I can grant them.

But as I have migrated to Icinga a long time ago (and I think most other users too), nobody has investend any time in the last months / years into the nagios package.

Would it be better to get Icinga (which is waiting for reviews) into Fedora/EPEL and retire Nagios ?

cu romal

Comment 9 David A. Cafaro 2015-06-17 02:03:22 UTC
Getting Icinga into Fedora/EPEL would probably be good, but we still have a commitment to have packages currently released patched for security issues.

If no one on this ticket it able/interested in maintaining this we need to find a new maintainer.

Comment 10 Jan Kurik 2015-07-15 14:39:10 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 11 David A. Cafaro 2015-08-05 13:46:51 UTC
Still needs an update.

Comment 12 Scott Wilkerson 2015-09-17 15:36:29 UTC
I went on a hunt for Keiran Smith ( affix ) to try to get these CVE's resolved.

On 2015-09-08 I was able to track him down on on #fedora-uk channel on Freenode and he said he would be updating in a few days.

Now it is again 9 days later and nothing has been changed in the package in 2 years...

I am going to file a Non-responsive Maintainer ticket with FESCo proposing that I take over the package.

Comment 13 Fedora Update System 2015-09-20 14:39:34 UTC
nagios-4.0.8-1.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16238

Comment 14 Fedora Update System 2015-09-20 14:39:35 UTC
nagios-4.0.8-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8155

Comment 15 Fedora Update System 2015-09-20 14:40:29 UTC
nagios-4.0.8-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16239

Comment 16 Fedora Update System 2015-09-20 14:40:30 UTC
nagios-4.0.8-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16240

Comment 17 Fedora Update System 2015-09-20 14:41:18 UTC
nagios-4.0.8-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8156

Comment 18 Fedora Update System 2015-09-20 16:49:39 UTC
nagios-4.0.8-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nagios'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16239

Comment 19 Fedora Update System 2015-09-20 16:51:40 UTC
nagios-4.0.8-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nagios'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16238

Comment 20 Fedora Update System 2015-09-20 17:20:05 UTC
nagios-4.0.8-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nagios'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16240

Comment 21 Fedora Update System 2015-09-21 02:47:23 UTC
nagios-4.0.8-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nagios'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8156

Comment 22 Fedora Update System 2015-09-21 02:50:54 UTC
nagios-4.0.8-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nagios'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8155

Comment 23 David A. Cafaro 2015-10-11 02:35:16 UTC
These updates appear to cover this ticket as well, can we confirm?

https://bugzilla.redhat.com/show_bug.cgi?id=1121500

Comment 24 Scott Wilkerson 2015-10-15 13:36:21 UTC
David,

You are correct, this will be covered by these updates, however, additional work needs to be done before it is pushed as there are a couple problems with the current builds in QA on bodhi.

I hope to get to them tomorrow and get a new package build that can be pushed.

Comment 25 David A. Cafaro 2015-11-26 03:50:16 UTC
Hasn't been an update for a bit, are we still waiting on a new build?  Were the problems related to the comment here https://bodhi.fedoraproject.org/updates/nagios-4.0.8-1.el6#comment-327914 ?

Comment 26 Fedora Update System 2015-12-05 20:31:16 UTC
nagios-4.0.8-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 27 Fedora Update System 2017-02-09 17:29:09 UTC
nagios-4.2.4-3.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-270f6f4375

Comment 28 Fedora Update System 2017-02-10 22:41:26 UTC
nagios-4.2.4-4.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-acd2c2af0d

Comment 29 Fedora Update System 2017-02-11 16:19:06 UTC
nagios-4.2.4-4.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-acd2c2af0d

Comment 30 Fedora Update System 2017-05-11 19:17:44 UTC
nagios-4.3.2-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-1f2571d162

Comment 31 Fedora Update System 2017-05-12 19:52:21 UTC
nagios-4.3.2-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-1f2571d162

Comment 32 Fedora Update System 2017-06-14 19:01:19 UTC
nagios-4.3.2-3.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-16880697fe

Comment 33 Fedora Update System 2017-06-15 09:47:43 UTC
nagios-4.3.2-3.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-16880697fe

Comment 34 Fedora Update System 2017-06-28 19:29:10 UTC
nagios-4.3.2-5.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-328a23d1ed

Comment 35 Fedora Update System 2017-06-30 01:17:28 UTC
nagios-4.3.2-5.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-328a23d1ed

Comment 36 Fedora Update System 2017-07-23 02:22:33 UTC
nagios-4.3.2-5.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.